Bug 1114159 - [abrt] rhythmbox: g_type_check_instance_is_fundamentally_a(): rhythmbox killed by SIGSEGV
Summary: [abrt] rhythmbox: g_type_check_instance_is_fundamentally_a(): rhythmbox kille...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: rhythmbox
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:bb1e4a012a0a23c7fe0fc2ec0ea...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-27 23:43 UTC by Flóki Pálsson
Modified: 2016-07-19 11:51 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 11:51:30 UTC


Attachments (Terms of Use)
File: backtrace (46.16 KB, text/plain)
2014-06-27 23:43 UTC, Flóki Pálsson
no flags Details
File: cgroup (190 bytes, text/plain)
2014-06-27 23:43 UTC, Flóki Pálsson
no flags Details
File: core_backtrace (16.58 KB, text/plain)
2014-06-27 23:43 UTC, Flóki Pálsson
no flags Details
File: dso_list (22.14 KB, text/plain)
2014-06-27 23:43 UTC, Flóki Pálsson
no flags Details
File: environ (1.31 KB, text/plain)
2014-06-27 23:43 UTC, Flóki Pálsson
no flags Details
File: exploitable (82 bytes, text/plain)
2014-06-27 23:43 UTC, Flóki Pálsson
no flags Details
File: limits (1.29 KB, text/plain)
2014-06-27 23:43 UTC, Flóki Pálsson
no flags Details
File: maps (97.40 KB, text/plain)
2014-06-27 23:43 UTC, Flóki Pálsson
no flags Details
File: open_fds (1.00 KB, text/plain)
2014-06-27 23:43 UTC, Flóki Pálsson
no flags Details
File: proc_pid_status (1.06 KB, text/plain)
2014-06-27 23:43 UTC, Flóki Pálsson
no flags Details
File: var_log_messages (5.11 KB, text/plain)
2014-06-27 23:43 UTC, Flóki Pálsson
no flags Details

Description Flóki Pálsson 2014-06-27 23:43:02 UTC
Description of problem:
closing rhythmbox ( ?)

Version-Release number of selected component:
rhythmbox-3.0.3-2.fc21

Additional info:
reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        rhythmbox
crash_function: g_type_check_instance_is_fundamentally_a
executable:     /usr/bin/rhythmbox
kernel:         3.16.0-0.rc1.git4.1.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_type_check_instance_is_fundamentally_a at gtype.c:3978
 #2 impl_deactivate at rb-audioscrobbler-plugin.c:151
 #3 ffi_call_unix64 at ../src/x86/unix64.S:76
 #4 ffi_call at ../src/x86/ffi64.c:525
 #5 g_callable_info_invoke at girepository/gicallableinfo.c:703
 #6 g_function_info_invoke at girepository/gifunctioninfo.c:281
 #7 peas_gi_method_call at peas-introspection.c:484
 #8 peas_extension_callv at peas-extension.c:288
 #9 peas_extension_call_valist at peas-extension.c:233
 #10 peas_extension_call at peas-extension.c:186

Comment 1 Flóki Pálsson 2014-06-27 23:43:07 UTC
Created attachment 912968 [details]
File: backtrace

Comment 2 Flóki Pálsson 2014-06-27 23:43:09 UTC
Created attachment 912969 [details]
File: cgroup

Comment 3 Flóki Pálsson 2014-06-27 23:43:11 UTC
Created attachment 912970 [details]
File: core_backtrace

Comment 4 Flóki Pálsson 2014-06-27 23:43:13 UTC
Created attachment 912971 [details]
File: dso_list

Comment 5 Flóki Pálsson 2014-06-27 23:43:16 UTC
Created attachment 912972 [details]
File: environ

Comment 6 Flóki Pálsson 2014-06-27 23:43:18 UTC
Created attachment 912973 [details]
File: exploitable

Comment 7 Flóki Pálsson 2014-06-27 23:43:20 UTC
Created attachment 912974 [details]
File: limits

Comment 8 Flóki Pálsson 2014-06-27 23:43:22 UTC
Created attachment 912975 [details]
File: maps

Comment 9 Flóki Pálsson 2014-06-27 23:43:24 UTC
Created attachment 912976 [details]
File: open_fds

Comment 10 Flóki Pálsson 2014-06-27 23:43:26 UTC
Created attachment 912977 [details]
File: proc_pid_status

Comment 11 Flóki Pálsson 2014-06-27 23:43:28 UTC
Created attachment 912978 [details]
File: var_log_messages

Comment 12 Branko Grubić 2014-09-18 10:09:14 UTC
I saw this too on f21 ( rhythmbox-3.0.3-4.fc21.x86_64 )
possible duplicates:
https://bugzilla.redhat.com/show_bug.cgi?id=1118372
https://bugzilla.redhat.com/show_bug.cgi?id=1123622
https://bugzilla.redhat.com/show_bug.cgi?id=1135753

Comment 13 Branko Grubić 2014-09-18 10:32:48 UTC
heh, look similar and all crash in same function, but traces are different, only https://bugzilla.redhat.com/show_bug.cgi?id=1118372 says that is potential duplicate of this bug.

Comment 14 Jaroslav Reznik 2015-03-03 16:04:50 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 15 Frederik 2015-03-12 11:39:23 UTC
reproducibly happens on my f22 when I try to disable the last.fm plugin

Comment 16 Fedora End Of Life 2016-07-19 11:51:30 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.